Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRTemplateText

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplateElement
          net.sf.jasperreports.engine.fill.JRTemplateText

All Implemented Interfaces:
  java.io.Serializable, JRAlignment, JRBox, JRBoxContainer, JRCommonElement, JRCommonText, JRFont, JRPropertiesHolder, JRStyleContainer

    public class JRTemplateText

extends JRTemplateElement
implements JRAlignment, JRBox, JRFont, JRCommonText

Text element information shared by multiple print text objects.

Version:
  $Id: JRTemplateText.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  `JRTemplatePrintText`, Serialized Form

Field Summary
`protected java.lang.String` | `fontName`
`protected java.lang.Integer` | `fontSize`
`protected java.lang.String` | `formatFactoryClass`
`protected java.lang.Boolean` | `isBold`
`protected java.lang.Boolean` | `isItalic`
`protected java.lang.Boolean` | `isPdfEmbedded`
`protected java.lang.Boolean` | `isStrikeThrough`
`protected java.lang.Boolean` | `isUnderline`
`protected JRLineBox` | `lineBox`
`protected java.lang.String` | `localeCode`
`protected java.lang.String` | `pattern`
`protected java.lang.String` | `pdfEncoding`
`protected java.lang.String` | `pdfFontName`
`protected JRReportFont` | `reportFont`
`protected java.lang.String` | `timeZoneId`
`protected java.lang.String` | `valueClassName`

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`defaultStyleProvider, origin, parentStyle`

Fields inherited from interface net.sf.jasperreports.engine.JRAlignment
`HORIZONTAL_ALIGN_CENTER, HORIZONTAL_ALIGN_JUSTIFIED, HORIZONTAL_ALIGN_LEFT, HORIZONTAL_ALIGN_RIGHT, VERTICAL_ALIGN_BOTTOM, VERTICAL_ALIGN_JUSTIFIED, VERTICAL_ALIGN_MIDDLE, VERTICAL_ALIGN_TOP`

Fields inherited from interface net.sf.jasperreports.engine.JRFont
`DEFAULT_FONT_NAME, DEFAULT_FONT_SIZE, DEFAULT_PDF_EMBEDDED, DEFAULT_PDF_ENCODING, DEFAULT_PDF_FONT_NAME`

Fields inherited from interface net.sf.jasperreports.engine.JRCommonText
`MARKUP_HTML, MARKUP_NONE, MARKUP_RTF, MARKUP_STYLED_TEXT`

Constructor Summary
`` | `JRTemplateText(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider)` Creates a template text.
`protected` | `JRTemplateText(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRStaticText staticText)`
`protected` | `JRTemplateText(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRTextField textField)`

Method Summary
`void` | `copyLineBox(JRLineBox box)` Copies box attributes.
`protected JRFont` | `getBaseFont()`
`byte` | `getBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getDefaultLineColor()`
`JRFont` | `getFont()` Deprecated.
`java.lang.String` | `getFontName()`
`int` | `getFontSize()`
`java.lang.String` | `getFormatFactoryClass()`
`byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
`byte` | `getHyperlinkTarget()` Deprecated.
`HyperlinkTargetEnum` | `getHyperlinkTargetValue()` Retrieves the hyperlink target name for the element.
`byte` | `getHyperlinkType()` Deprecated. Replaced by `getHyperlinkTypeValue()`.
`HyperlinkTypeEnum` | `getHyperlinkTypeValue()` Retrieves the hyperlink type for the element.
`byte` | `getLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getBox()`
`JRLineBox` | `getLineBox()`
`byte` | `getLineSpacing()` Deprecated. Replaced by `getLineSpacingValue()`.
`LineSpacingEnum` | `getLineSpacingValue()` Gets the text line spacing.
`java.lang.String` | `getLinkTarget()` Returns the hyperlink target name.
`java.lang.String` | `getLinkType()` Returns the hyperlink type.
`java.lang.String` | `getLocaleCode()`
`java.lang.String` | `getMarkup()` Returns the text markup.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getOwnFontName()`
`java.lang.Integer` | `getOwnFontSize()`
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnLineSpacing()` Deprecated. Replaced by `getOwnLineSpacingValue()`.
`LineSpacingEnum` | `getOwnLineSpacingValue()` Gets the text own line spacing.
`java.lang.String` | `getOwnMarkup()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getOwnPdfEncoding()`
`java.lang.String` | `getOwnPdfFontName()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnRotation()` Deprecated. Replaced by `getOwnRotationValue()`.
`RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
`java.lang.Integer` | `getOwnSize()` Deprecated. Replaced by `getOwnFontSize()`.
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`int` | `getPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getPattern()`
`java.lang.String` | `getPdfEncoding()`
`java.lang.String` | `getPdfFontName()`
`JRReportFont` | `getReportFont()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getRotation()` Deprecated. Replaced by `getRotationValue()`.
`RotationEnum` | `getRotationValue()` Gets the text rotation.
`int` | `getSize()` Deprecated. Replaced by `getFontSize()`.
`JRStyle` | `getStyle()` Returns this object's style.
`byte` | `getTextAlignment()` Deprecated. Replaced by `getHorizontalAlignment()`.
`java.lang.String` | `getTimeZoneId()`
`byte` | `getTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getBox()`
`java.lang.String` | `getValueClassName()`
`byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
`boolean` | `isBold()`
`boolean` | `isItalic()`
`java.lang.Boolean` | `isOwnBold()`
`java.lang.Boolean` | `isOwnItalic()`
`java.lang.Boolean` | `isOwnPdfEmbedded()`
`java.lang.Boolean` | `isOwnStrikeThrough()`
`java.lang.Boolean` | `isOwnStyledText()` Deprecated. Replaced by `getOwnMarkup()`
`java.lang.Boolean` | `isOwnUnderline()`
`boolean` | `isPdfEmbedded()`
`boolean` | `isStrikeThrough()`
`boolean` | `isStyledText()` Deprecated. Replaced by `getMarkup()`
`boolean` | `isUnderline()`
`void` | `setBold(boolean isBold)`
`void` | `setBold(java.lang.Boolean isBold)` Alternative setBold method which allows also to reset the "own" isBold property.
`void` | `setBorder(byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontSize(java.lang.Integer fontSize)` Alternative setSize method which allows also to reset the "own" size property.
`void` | `setFormatFactoryClass(java.lang.String formatFactoryClass)`
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)` Sets the text horizontal alignment.
`void` | `setItalic(boolean isItalic)`
`void` | `setItalic(java.lang.Boolean isItalic)` Alternative setItalic method which allows also to reset the "own" isItalic property.
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLineSpacing(byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(java.lang.Byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(LineSpacingEnum lineSpacingValue)` Sets the text line spacing.
`protected void` | `setLinkTarget(java.lang.String linkTarget)`
`void` | `setLinkType(java.lang.String linkType)` Sets the hyperlink type.
`void` | `setLocaleCode(java.lang.String localeCode)`
`void` | `setMarkup(java.lang.String markup)` Sets the text markup attribute.
`void` | `setPadding(int padding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getBox()`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setPdfEmbedded(boolean isPdfEmbedded)`
`void` | `setPdfEmbedded(java.lang.Boolean isPdfEmbedded)` Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`void` | `setPdfFontName(java.lang.String pdfFontName)`
`void` | `setReportFont(JRReportFont reportFont)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRotation(byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(java.lang.Byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(RotationEnum rotationValue)` Sets the text rotation.
`void` | `setSize(int size)` Deprecated. Replaced by `setFontSize(int)`.
`void` | `setSize(java.lang.Integer size)` Deprecated. Replaced by `setFontSize(Integer)`.
`protected void` | `setStaticText(JRStaticText staticText)`
`void` | `setStrikeThrough(boolean isStrikeThrough)`
`void` | `setStrikeThrough(java.lang.Boolean isStrikeThrough)` Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.
`protected void` | `setTextElement(JRTextElement textElement)`
`protected void` | `setTextField(JRTextField textField)`
`void` | `setTimeZoneId(java.lang.String timeZoneId)`
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setUnderline(boolean isUnderline)`
`void` | `setUnderline(java.lang.Boolean isUnderline)` Alternative setUnderline method which allows also to reset the "own" isUnderline property.
`void` | `setValueClassName(java.lang.String valueClassName)`
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)` Gets the text vertical alignment.

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getMode, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setMode, setMode, setStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getKey, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyleNameReference`

Field Detail

### lineBox

    protected JRLineBox lineBox

### reportFont

    protected JRReportFont reportFont

### fontName

    protected java.lang.String fontName

### isBold

    protected java.lang.Boolean isBold

### isItalic

    protected java.lang.Boolean isItalic

### isUnderline

    protected java.lang.Boolean isUnderline

### isStrikeThrough

    protected java.lang.Boolean isStrikeThrough

### fontSize

    protected java.lang.Integer fontSize

### pdfFontName

    protected java.lang.String pdfFontName

### pdfEncoding

    protected java.lang.String pdfEncoding

### isPdfEmbedded

    protected java.lang.Boolean isPdfEmbedded

### valueClassName

    protected java.lang.String valueClassName

### pattern

    protected java.lang.String pattern

### formatFactoryClass

    protected java.lang.String formatFactoryClass

### localeCode

    protected java.lang.String localeCode

### timeZoneId

    protected java.lang.String timeZoneId

Constructor Detail

### JRTemplateText

    protected JRTemplateText(JROrigin origin,
                             JRDefaultStyleProvider defaultStyleProvider,
                             JRStaticText staticText)

### JRTemplateText

    protected JRTemplateText(JROrigin origin,
                             JRDefaultStyleProvider defaultStyleProvider,
                             JRTextField textField)

### JRTemplateText

    public JRTemplateText(JROrigin origin,
                          JRDefaultStyleProvider defaultStyleProvider)

  Creates a template text.

  Parameters:
    `origin` - the origin of the elements that will use this template
    `defaultStyleProvider` - the default style provider to use for this template

Method Detail

### setStaticText

    protected void setStaticText(JRStaticText staticText)

### setTextField

    protected void setTextField(JRTextField textField)

### setTextElement

    protected void setTextElement(JRTextElement textElement)

### copyLineBox

    public void copyLineBox(JRLineBox box)

  Copies box attributes.

  Parameters:
    `box` - the object to copy attributes from

### getBaseFont

    protected JRFont getBaseFont()

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`
  Overrides:
    `getModeValue` in class `JRTemplateElement`

### getTextAlignment

    public byte getTextAlignment()

  Deprecated. Replaced by `getHorizontalAlignment()`.

### getHorizontalAlignment

    public byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getHorizontalAlignment` in interface `JRAlignment`

### getOwnHorizontalAlignment

    public java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.

  Specified by:
    `getOwnHorizontalAlignment` in interface `JRAlignment`

### getHorizontalAlignmentValue

    public HorizontalAlignEnum getHorizontalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text horizontal alignment.

  Specified by:
    `getHorizontalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

  Specified by:
    `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`

### setHorizontalAlignment

    public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)

  Description copied from interface: `JRAlignment`
  Sets the text horizontal alignment.

  Specified by:
    `setHorizontalAlignment` in interface `JRAlignment`
  Parameters:
    `horizontalAlignmentValue` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

### getVerticalAlignment

    public byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

  Specified by:
    `getVerticalAlignment` in interface `JRAlignment`

### getOwnVerticalAlignment

    public java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.

  Specified by:
    `getOwnVerticalAlignment` in interface `JRAlignment`

### getVerticalAlignmentValue

    public VerticalAlignEnum getVerticalAlignmentValue()

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `getVerticalAlignmentValue` in interface `JRAlignment`
  Returns:
    a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getOwnVerticalAlignmentValue

    public VerticalAlignEnum getOwnVerticalAlignmentValue()

  Specified by:
    `getOwnVerticalAlignmentValue` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`

### setVerticalAlignment

    public void setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)

  Description copied from interface: `JRAlignment`
  Gets the text vertical alignment.

  Specified by:
    `setVerticalAlignment` in interface `JRAlignment`
  Parameters:
    `verticalAlignmentValue` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

### getRotation

    public byte getRotation()

  Deprecated. Replaced by `getRotationValue()`.

  Specified by:
    `getRotation` in interface `JRCommonText`

### getOwnRotation

    public java.lang.Byte getOwnRotation()

  Deprecated. Replaced by `getOwnRotationValue()`.

  Specified by:
    `getOwnRotation` in interface `JRCommonText`

### setRotation

    public void setRotation(byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

  Specified by:
    `setRotation` in interface `JRCommonText`

### setRotation

    public void setRotation(java.lang.Byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

  Specified by:
    `setRotation` in interface `JRCommonText`

### getRotationValue

    public RotationEnum getRotationValue()

  Description copied from interface: `JRCommonText`
  Gets the text rotation.

  Specified by:
    `getRotationValue` in interface `JRCommonText`
  Returns:
    a value representing one of the text rotation constants in `RotationEnum`

### getOwnRotationValue

    public RotationEnum getOwnRotationValue()

  Description copied from interface: `JRCommonText`
  Gets the text own rotation.

  Specified by:
    `getOwnRotationValue` in interface `JRCommonText`
  Returns:
    a value representing one of the text rotation constants in `RotationEnum`

### setRotation

    public void setRotation(RotationEnum rotationValue)

  Sets the text rotation.

  Specified by:
    `setRotation` in interface `JRCommonText`
  Parameters:
    `rotationValue` - one of
    - `RotationEnum.NONE`
    - `RotationEnum.LEFT`
    - `RotationEnum.RIGHT`
    - `RotationEnum.UPSIDE_DOWN`
    values, or `null` if this template should not specify a rotation attribute of its own

### getLineSpacing

    public byte getLineSpacing()

  Deprecated. Replaced by `getLineSpacingValue()`.

  Specified by:
    `getLineSpacing` in interface `JRCommonText`

### getOwnLineSpacing

    public java.lang.Byte getOwnLineSpacing()

  Deprecated. Replaced by `getOwnLineSpacingValue()`.

  Specified by:
    `getOwnLineSpacing` in interface `JRCommonText`

### setLineSpacing

    public void setLineSpacing(byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

  Specified by:
    `setLineSpacing` in interface `JRCommonText`

### setLineSpacing

    public void setLineSpacing(java.lang.Byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

  Specified by:
    `setLineSpacing` in interface `JRCommonText`

### getLineSpacingValue

    public LineSpacingEnum getLineSpacingValue()

  Description copied from interface: `JRCommonText`
  Gets the text line spacing.

  Specified by:
    `getLineSpacingValue` in interface `JRCommonText`
  Returns:
    a value representing one of the line spacing constants in `LineSpacingEnum`

### getOwnLineSpacingValue

    public LineSpacingEnum getOwnLineSpacingValue()

  Description copied from interface: `JRCommonText`
  Gets the text own line spacing.

  Specified by:
    `getOwnLineSpacingValue` in interface `JRCommonText`
  Returns:
    a value representing one of the line spacing constants in `LineSpacingEnum`

### setLineSpacing

    public void setLineSpacing(LineSpacingEnum lineSpacingValue)

  Sets the text line spacing. This methods allows `null` to be set. In this case, the line spacing is inherited from the report style associated with the template.

  Specified by:
    `setLineSpacing` in interface `JRCommonText`
  Parameters:
    `lineSpacingValue` - a `null` value or one of
    - `LineSpacingEnum.SINGLE`
    - `LineSpacingEnum.ONE_AND_HALF`
    - `LineSpacingEnum.DOUBLE`

### isStyledText

    public boolean isStyledText()

  Deprecated. Replaced by `getMarkup()`

  Description copied from interface: `JRCommonText`
  Returns true if the text can contain style tags.

  Specified by:
    `isStyledText` in interface `JRCommonText`

### isOwnStyledText

    public java.lang.Boolean isOwnStyledText()

  Deprecated. Replaced by `getOwnMarkup()`

  Specified by:
    `isOwnStyledText` in interface `JRCommonText`

### getMarkup

    public java.lang.String getMarkup()

  Description copied from interface: `JRCommonText`
  Returns the text markup.

  Specified by:
    `getMarkup` in interface `JRCommonText`

### getOwnMarkup

    public java.lang.String getOwnMarkup()

  Specified by:
    `getOwnMarkup` in interface `JRCommonText`

### setMarkup

    public void setMarkup(java.lang.String markup)

  Sets the text markup attribute.

  Specified by:
    `setMarkup` in interface `JRCommonText`
  Parameters:
    `markup` - the markup attribute
  See Also:
    `getMarkup()`

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getFont

    public JRFont getFont()

  Deprecated.

### getHyperlinkType

    public byte getHyperlinkType()

  Deprecated. Replaced by `getHyperlinkTypeValue()`.

### getHyperlinkTypeValue

    public HyperlinkTypeEnum getHyperlinkTypeValue()

  Retrieves the hyperlink type for the element.

  The actual hyperlink type is determined by `getLinkType()`. This method can is used to determine whether the hyperlink type is one of the built-in types or a custom type. O * When hyperlink is of custom type, `CUSTOM` is returned.

  Returns:
    one of the hyperlink type constants
  See Also:
    `getLinkType()`

### getHyperlinkTarget

    public byte getHyperlinkTarget()

  Deprecated.

### getHyperlinkTargetValue

    public HyperlinkTargetEnum getHyperlinkTargetValue()

  Retrieves the hyperlink target name for the element.

  The actual hyperlink target name is determined by `getLinkTarget()`. This method is used to determine whether the hyperlink target name is one of the built-in names or a custom one. When hyperlink target has a custom name, `CUSTOM` is returned.

  Returns:
    one of the hyperlink target name constants
  See Also:
    `getLinkTarget()`

### getReportFont

    public JRReportFont getReportFont()

  Specified by:
    `getReportFont` in interface `JRFont`

### setReportFont

    public void setReportFont(JRReportFont reportFont)

  Specified by:
    `setReportFont` in interface `JRFont`

### getFontName

    public java.lang.String getFontName()

  Specified by:
    `getFontName` in interface `JRFont`

### getOwnFontName

    public java.lang.String getOwnFontName()

  Specified by:
    `getOwnFontName` in interface `JRFont`

### setFontName

    public void setFontName(java.lang.String fontName)

  Specified by:
    `setFontName` in interface `JRFont`

### isBold

    public boolean isBold()

  Specified by:
    `isBold` in interface `JRFont`

### isOwnBold

    public java.lang.Boolean isOwnBold()

  Specified by:
    `isOwnBold` in interface `JRFont`

### setBold

    public void setBold(boolean isBold)

  Specified by:
    `setBold` in interface `JRFont`

### setBold

    public void setBold(java.lang.Boolean isBold)

  Alternative setBold method which allows also to reset the "own" isBold property.

  Specified by:
    `setBold` in interface `JRFont`

### isItalic

    public boolean isItalic()

  Specified by:
    `isItalic` in interface `JRFont`

### isOwnItalic

    public java.lang.Boolean isOwnItalic()

  Specified by:
    `isOwnItalic` in interface `JRFont`

### setItalic

    public void setItalic(boolean isItalic)

  Specified by:
    `setItalic` in interface `JRFont`

### setItalic

    public void setItalic(java.lang.Boolean isItalic)

  Alternative setItalic method which allows also to reset the "own" isItalic property.

  Specified by:
    `setItalic` in interface `JRFont`

### isUnderline

    public boolean isUnderline()

  Specified by:
    `isUnderline` in interface `JRFont`

### isOwnUnderline

    public java.lang.Boolean isOwnUnderline()

  Specified by:
    `isOwnUnderline` in interface `JRFont`

### setUnderline

    public void setUnderline(boolean isUnderline)

  Specified by:
    `setUnderline` in interface `JRFont`

### setUnderline

    public void setUnderline(java.lang.Boolean isUnderline)

  Alternative setUnderline method which allows also to reset the "own" isUnderline property.

  Specified by:
    `setUnderline` in interface `JRFont`

### isStrikeThrough

    public boolean isStrikeThrough()

  Specified by:
    `isStrikeThrough` in interface `JRFont`

### isOwnStrikeThrough

    public java.lang.Boolean isOwnStrikeThrough()

  Specified by:
    `isOwnStrikeThrough` in interface `JRFont`

### setStrikeThrough

    public void setStrikeThrough(boolean isStrikeThrough)

  Specified by:
    `setStrikeThrough` in interface `JRFont`

### setStrikeThrough

    public void setStrikeThrough(java.lang.Boolean isStrikeThrough)

  Alternative setStrikeThrough method which allows also to reset the "own" isStrikeThrough property.

  Specified by:
    `setStrikeThrough` in interface `JRFont`

### getFontSize

    public int getFontSize()

  Specified by:
    `getFontSize` in interface `JRCommonText`
  Specified by:
    `getFontSize` in interface `JRFont`

### getOwnFontSize

    public java.lang.Integer getOwnFontSize()

  Specified by:
    `getOwnFontSize` in interface `JRFont`

### setFontSize

    public void setFontSize(int fontSize)

  Specified by:
    `setFontSize` in interface `JRFont`

### setFontSize

    public void setFontSize(java.lang.Integer fontSize)

  Alternative setSize method which allows also to reset the "own" size property.

  Specified by:
    `setFontSize` in interface `JRFont`

### getSize

    public int getSize()

  Deprecated. Replaced by `getFontSize()`.

  Specified by:
    `getSize` in interface `JRFont`

### getOwnSize

    public java.lang.Integer getOwnSize()

  Deprecated. Replaced by `getOwnFontSize()`.

  Specified by:
    `getOwnSize` in interface `JRFont`

### setSize

    public void setSize(int size)

  Deprecated. Replaced by `setFontSize(int)`.

  Specified by:
    `setSize` in interface `JRFont`

### setSize

    public void setSize(java.lang.Integer size)

  Deprecated. Replaced by `setFontSize(Integer)`.

  Specified by:
    `setSize` in interface `JRFont`

### getPdfFontName

    public java.lang.String getPdfFontName()

  Specified by:
    `getPdfFontName` in interface `JRFont`

### getOwnPdfFontName

    public java.lang.String getOwnPdfFontName()

  Specified by:
    `getOwnPdfFontName` in interface `JRFont`

### setPdfFontName

    public void setPdfFontName(java.lang.String pdfFontName)

  Specified by:
    `setPdfFontName` in interface `JRFont`

### getPdfEncoding

    public java.lang.String getPdfEncoding()

  Specified by:
    `getPdfEncoding` in interface `JRFont`

### getOwnPdfEncoding

    public java.lang.String getOwnPdfEncoding()

  Specified by:
    `getOwnPdfEncoding` in interface `JRFont`

### setPdfEncoding

    public void setPdfEncoding(java.lang.String pdfEncoding)

  Specified by:
    `setPdfEncoding` in interface `JRFont`

### isPdfEmbedded

    public boolean isPdfEmbedded()

  Specified by:
    `isPdfEmbedded` in interface `JRFont`

### isOwnPdfEmbedded

    public java.lang.Boolean isOwnPdfEmbedded()

  Specified by:
    `isOwnPdfEmbedded` in interface `JRFont`

### setPdfEmbedded

    public void setPdfEmbedded(boolean isPdfEmbedded)

  Specified by:
    `setPdfEmbedded` in interface `JRFont`

### setPdfEmbedded

    public void setPdfEmbedded(java.lang.Boolean isPdfEmbedded)

  Alternative setPdfEmbedded method which allows also to reset the "own" isPdfEmbedded property.

  Specified by:
    `setPdfEmbedded` in interface `JRFont`

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Overrides:
    `getStyle` in class `JRTemplateElement`
  Returns:
    this object's style

### getPattern

    public java.lang.String getPattern()

### setPattern

    public void setPattern(java.lang.String pattern)

### getValueClassName

    public java.lang.String getValueClassName()

### setValueClassName

    public void setValueClassName(java.lang.String valueClassName)

### getFormatFactoryClass

    public java.lang.String getFormatFactoryClass()

### setFormatFactoryClass

    public void setFormatFactoryClass(java.lang.String formatFactoryClass)

### getLocaleCode

    public java.lang.String getLocaleCode()

### setLocaleCode

    public void setLocaleCode(java.lang.String localeCode)

### getTimeZoneId

    public java.lang.String getTimeZoneId()

### setTimeZoneId

    public void setTimeZoneId(java.lang.String timeZoneId)

### getLinkType

    public java.lang.String getLinkType()

  Returns the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Returns:
    the hyperlink type

### setLinkType

    public void setLinkType(java.lang.String linkType)

  Sets the hyperlink type.

  The type can be one of the built-in types (Reference, LocalAnchor, LocalPage, RemoteAnchor, RemotePage), or can be an arbitrary type.

  Parameters:
    `linkType` - the hyperlink type

### setLinkTarget

    protected void setLinkTarget(java.lang.String linkTarget)

### getLinkTarget

    public java.lang.String getLinkTarget()

  Returns the hyperlink target name.

  The target name can be one of the built-in names (Self, Blank, Top, Parent), or can be an arbitrary name.

  Returns:
    the hyperlink type

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com